#
# this file was created by a computer. trust it.
#

# compiler tools
XILINX_VITIS ?= /tools/Xilinx/Vitis/2021.1
XILINX_XRT ?= /opt/xilinx/xrt
XILINX_VIVADO ?= /tools/Xilinx/Vivado/2021.1
XILINX_VIVADO_HLS ?= $(XILINX_VITIS)/Vivado_HLS

VPP_LINKER ?= ${XILINX_VITIS}/bin/v++
RM = rm -f
RMDIR = rm -rf

VITIS_PLATFORM = xilinx_u280_xdma_201920_3
VITIS_PLATFORM_PATH = $(VITIS_PLATFORM)

VPP_OPTS = --target hw

#
# Hw kernel files
#

BINARY_CONTAINERS += bandwidth.xclbin

BUILD_SUBDIRS += bandwidth.build
BANDWIDTH_OBJS += ../../jh_gnn_211018_kernels/Hardware/build/bandwidth.xo

ALL_MESSAGE_FILES = $(subst .xclbin,.mdb,$(BINARY_CONTAINERS))

#
# primary build targets
#

.PHONY: all clean
all: $(BINARY_CONTAINERS)


clean:
	-$(RM) $(BINARY_CONTAINERS) $(ALL_MESSAGE_FILES) 
	-$(RM) *.xclbin.sh *.xclbin.info *.xclbin.link_summary*
	-$(RMDIR) $(BUILD_SUBDIRS)
	-$(RMDIR) .Xil

ifeq ($(MAKECMDGOALS),incremental)
.PHONY: bandwidth.xclbin
.PHONY: ../../jh_gnn_211018_kernels/Hardware/build/bandwidth.xo
endif

.PHONY: incremental
incremental: all


nothing:

#
# binary container: bandwidth.xclbin
#

bandwidth.xclbin: $(BANDWIDTH_OBJS) bandwidth-link.cfg
	-@echo $(VPP_LINKER) $(VPP_OPTS) --link --config bandwidth-link.cfg -o"$@" $(BANDWIDTH_OBJS) > bandwidth.xclbin.sh
	$(VPP_LINKER) $(VPP_OPTS) --link --config bandwidth-link.cfg -o"$@" $(BANDWIDTH_OBJS)

